Counterpartiesv1Counterparty Contacts
Create contact
Creates a contact linked to a counterparty. Parent update access is verified before insertion, the write is executed transactionally, and phone contacts normalize metadata fields such as country_number, number, and region_code.
POST
/v1/counterparties/contactsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/counterparties/contacts" \ -H "Content-Type: application/json" \ -d '{ "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd", "type": "string", "value": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd",
"type": "string",
"value": "string",
"validated": true,
"preferred": true,
"active": true,
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"modified_at": "2019-08-24T14:15:22Z",
"modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
"metadata": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}{
"error": "string",
"message": "string",
"details": {}
}